summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2022-05-03 06:20:53 +0200
committerHans de Graaff <graaff@gentoo.org>2022-05-03 06:21:00 +0200
commit92aa61c05126b9701a4682486c20b982bc10817f (patch)
treee90745f627547dad399153ffe89ef817ed24262f
parentdev-ruby/jmespath: enable ruby31 (diff)
downloadgentoo-92aa61c05126b9701a4682486c20b982bc10817f.tar.gz
gentoo-92aa61c05126b9701a4682486c20b982bc10817f.tar.bz2
gentoo-92aa61c05126b9701a4682486c20b982bc10817f.zip
dev-ruby/jquery-rails: update EAPI 6 -> 8, add ruby30
Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/jquery-rails/jquery-rails-4.4.0-r1.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/jquery-rails/jquery-rails-4.4.0-r1.ebuild b/dev-ruby/jquery-rails/jquery-rails-4.4.0-r1.ebuild
new file mode 100644
index 00000000000..975df6d4e71
--- /dev/null
+++ b/dev-ruby/jquery-rails/jquery-rails-4.4.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md VERSIONS.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="vendor"
+
+RUBY_FAKEGEM_GEMSPEC="jquery-rails.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="jQuery! For Rails! So great"
+HOMEPAGE="https://www.rubyonrails.org"
+
+LICENSE="MIT"
+SLOT="4"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/railties-4.2.0:*
+ >=dev-ruby/thor-0.14:* <dev-ruby/thor-2:*
+ dev-ruby/rails-dom-testing:2"
+
+all_ruby_prepare() {
+ sed -i -e '/git ls-files/d' jquery-rails.gemspec || die
+}